## libserial 0.6.0~rc1

=== debian/changelog ===
libserial (0.6.0~rc1-0ubuntu4) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Wed, 05 Mar 2014 19:51:44 -0500

libserial (0.6.0~rc1-0ubuntu3) quantal; urgency=low

  * Fix FTBFS with gcc-4.7.
  * Using source format 3.0 (quilt).
  * Bumped Standards-Version to 3.9.3.
  * Small cleanup: unnecessary inclusion in debian/rules, package short 
    descriptions, copyright file references, watch file.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 29 Sep 2012 22:34:50 +0400

libserial (0.6.0~rc1-0ubuntu2) natty; urgency=low

  * Replace obsolete sip build-depends with build-dep on python-sip-dev

 -- Scott Kitterman <scott@kitterman.com>  Fri, 28 Jan 2011 11:04:51 -0500

libserial (0.6.0~rc1-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards.
    - Build-depends on python-sip4-dev,python-sip4,sip4.
  * Drop 01-add-pkconfig-file.patch, libserial.pc is now provided by upstream.
  * Drop 02-add-missing-includes.patch, applied by upstream and no longer
    needed.
  * Don't install todo.3.gz file as manpage (LP: #485603).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 02 Feb 2010 19:42:15 +0100

libserial (0.5.2-0ubuntu2) karmic; urgency=low

  * Add missinc include to fix FTBFS with g++ 4.4.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 05 Oct 2009 22:40:17 +0200

libserial (0.5.2-0ubuntu1) hardy; urgency=low

  * Initial packaging (LP: #162966)

 -- David Morris <david.morris@greenacre.no-ip.com>  Thu, 15 Nov 2007 11:31:25 +0000
