=== debian/control ===
Source: libserial
Section: devel
Priority: optional
Homepage: http://libserial.sourceforge.net
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Morris <david.morris@greenacre.no-ip.com>
Build-Depends: debhelper (>= 5),
 dh-autoreconf,
 cdbs,
 intltool,
 doxygen,
 python-sip-dev
Standards-Version: 3.9.3

Package: libserial0
Section: libs
Suggests: libserial-doc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Serial port programming in C++ under POSIX operating system
 A collection of C++ classes which allow the serial port on POSIX systems to be
 accessed like an iostream object. Special functions are provided for setting
 various parameters of the serial port such as the baud rate, character size,
 flow control and other.
 .
 Provides the libserial library

Package: libserial-dev
Section: libdevel
Suggests: libserial-doc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libserial0 (=${binary:Version})
Description: Serial port programming in C++ -- development files
 A collection of C++ classes which allow the serial port on POSIX systems to be
 accessed like an iostream object. Special functions are provided for setting
 various parameters of the serial port such as the baud rate, character size,
 flow control and other.
 .
 This package contains the development libraries and headers

Package: libserial-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Serial port programming in C++ -- documentation
 A collection of C++ classes which allow the serial port on POSIX systems to be
 accessed like an iostream object. Special functions are provided for setting
 various parameters of the serial port such as the baud rate, character size,
 flow control and other.
 .
 Provides the documention for the library and development packages
