=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog
DEB_INSTALL_DOCS_ALL := -XREADME

build/libserial-doc::
	$(MAKE) -C examples clean
	$(MAKE) docs

binary-install/libserial-dev::
	rm -rf debian/libserial-dev/usr/share/doc/libserial-dev
	ln -s libserial0 debian/libserial-dev/usr/share/doc/libserial-dev
	
clean::
	if [ -e examples/Makefile ] ; then $(MAKE) -C examples clean ; fi ;
	if [ -e doc/Makefile ] ; then $(MAKE) -C doc clean ; fi ;
	if [ -e doc/man ] ; then rm -rf doc/man ; fi ;
	if [ -e doc/html ] ; then rm -rf doc/html ; fi ;
