## libserial 0.6.0~rc2%2Bsvn122

=== debian/control ===
Source: libserial
Section: devel
Priority: optional
Homepage: http://libserial.sourceforge.net
Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
Uploaders: David Morris <dave@code-fish.co.uk>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               docbook,
               graphviz,
               intltool,
               libboost-dev,
               libboost-test-dev,
               python-sip-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/libserial.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libserial.git

Package: libserial0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Serial port programming in C++ under POSIX operating system
 A collection of C++ classes which allow the serial port on POSIX systems to be
 accessed like an iostream object. Special functions are provided for setting
 various parameters of the serial port such as the baud rate, character size,
 flow control and other.
 .
 Provides the libserial library

Package: libserial-dev
Section: libdevel
Suggests: libserial-doc
Architecture: any
Depends: libserial0 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Serial port programming in C++ -- development files
 A collection of C++ classes which allow the serial port on POSIX systems to be
 accessed like an iostream object. Special functions are provided for setting
 various parameters of the serial port such as the baud rate, character size,
 flow control and other.
 .
 This package contains the development libraries and headers

Package: libserial-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Serial port programming in C++ -- documentation
 A collection of C++ classes which allow the serial port on POSIX systems to be
 accessed like an iostream object. Special functions are provided for setting
 various parameters of the serial port such as the baud rate, character size,
 flow control and other.
 .
 Provides the documentation for the library and development packages
