## libserial 0.6.0~rc2+svn122

=== debian/changelog ===
libserial (0.6.0~rc2+svn122-4) unstable; urgency=medium

  * Make it build with -A and -B to help Debian buildds.
    - run tests only in -B mode.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Sep 2015 08:34:07 +0200

libserial (0.6.0~rc2+svn122-3) unstable; urgency=medium

  * Upload with the all package, it fails to build in source-only mode.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Sep 2015 19:05:48 +0200

libserial (0.6.0~rc2+svn122-2) unstable; urgency=medium

  * Update my uid.
  * Fix typo in package description.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Sep 2015 18:13:25 +0200

libserial (0.6.0~rc2+svn122-1) unstable; urgency=medium

  * New upstream snapshot.
    - drop all patches, accepted upstream.
  * Add graphviz as b-d, helping with doc generation.
    - remove .md5 and .map files.
  * Fix copyright file, the correct license is GPL-2+,
    a *great* thanks goes to Thorsten Alteholz, for the
    help!

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 20 Apr 2015 18:49:54 +0200

libserial (0.6.0~rc1+svn114-1) unstable; urgency=medium

  * Initial release (Closes: #780269).

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 11 Mar 2015 10:21:59 +0100
