=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

#override_dh_autoreconf:
#	ln -s /usr/share/libtool/config/ltmain.sh .
#	dh_autoreconf

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/html
	rm -rf doc/man

override_dh_auto_build-indep:
	$(MAKE) docs
	find doc/ -name "*.md5" -delete
	find doc/ -name "*.map" -delete

override_dh_auto_test:
	if [ -f src/unit_tests ]; then ./src/unit_tests; fi
