=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
http://sf.net/libserial/libserial-(.+)\.tar\.gz debian uupdate
