=== debian/changelog ===
libserial (1.0.0-9build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:47:17 +0200

libserial (1.0.0-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Gianfranco Costamagna ]
  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Jul 2023 13:14:24 +0200

libserial (1.0.0-8) unstable; urgency=medium

  * debian/patches/186.patch:
    - upstream proposed patch to fix a build failure with gcc-13
      (Closes: #1037741)
  * Bump std-version to 4.6.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Jul 2023 10:31:17 +0200

libserial (1.0.0-7) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Fix duplicate override_dh_auto_configure. (Closes: #985608)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 19 Mar 2021 18:37:14 +0100

libserial (1.0.0-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Drop unused python3-sip-dev dependency. (Closes: #984812)
  * Further reduce Build-Depends via <!nocheck> + --disable-tests. (Closes: #984611)

  [ Gianfranco Costamagna ]
  * Bump compat level to 13
  * Add .a and .la file to not-installed

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Mar 2021 14:38:41 +0100

libserial (1.0.0-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #982214)
    + Drop unused docbook, doxygen, graphviz, and intltool.
    + Demote sphinx dependencies to B-D-I.

  [ Gianfranco Costamagna ]
  * Upload to sid

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Feb 2021 21:30:32 +0100

libserial (1.0.0-4) unstable; urgency=medium

  * Don't depend on boost anymore
  * Fix doc package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Mar 2020 09:42:35 +0100

libserial (1.0.0-3) unstable; urgency=medium

  * debian/patches/818005ee7d19b9145bc875cb0ea10422e6e0afaf.patch:
    - upstream patch to fix build on some 32bit systems.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Mar 2020 22:30:02 +0100

libserial (1.0.0-2) unstable; urgency=medium

  * Add patch to fix build on some systems with picky flags

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Feb 2020 15:14:20 +0100

libserial (1.0.0-1) unstable; urgency=medium

  * Update watch file for github move
  * New upstream version 1.0.0
  * update watch file to v4
  * Bump copyright years for Debian packaging
  * Move license to BSD-3-clause, upstream moved it
    and the Debian packaging has been fully done by me
  * Update copyright years
  * Move homepage to github location
  * Bump std-version to 4.5.0
  * Update VCS fields for salsa.d.o move
  * Bump compat level to 12
  * Drop default autoreconf
  * Switch python-sip to python3-sip (Closes: #943101)
    - port to Python3
  * Add libgtest dependency, used for testing
  * Add sphinx and rtd-theme dependencies, used in html generation
  * Switch library SONAME to 1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Feb 2020 12:34:45 +0100
