=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: libserial
 Section: devel
 Priority: optional
-Homepage: http://libserial.sourceforge.net
-Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
+Homepage: https://github.com/crayzeewulf/libserial
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
 Uploaders: David Morris <dave@code-fish.co.uk>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               docbook,
-               graphviz,
-               intltool,
-               libboost-dev,
-               libboost-test-dev,
-               python-sip-dev
-Build-Depends-Indep: doxygen
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/libserial.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libserial.git
+Build-Depends: debhelper-compat (= 13),
+               libgtest-dev <!nocheck>,
+               libboost-test-dev <!nocheck>,
+Build-Depends-Indep: python3-sphinx,
+                     python3-sphinx-rtd-theme,
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/libserial
+Vcs-Git: https://salsa.debian.org/debian/libserial.git
 
-Package: libserial0
+Package: libserial1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -35,7 +33,8 @@
 Section: libdevel
 Suggests: libserial-doc
 Architecture: any
-Depends: libserial0 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libserial1 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Serial port programming in C++ -- development files
  A collection of C++ classes which allow the serial port on POSIX systems to be
  accessed like an iostream object. Special functions are provided for setting
@@ -48,6 +47,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: foreign
 Description: Serial port programming in C++ -- documentation
  A collection of C++ classes which allow the serial port on POSIX systems to be
  accessed like an iostream object. Special functions are provided for setting
