=== debian/watch ===
version=4
opts="uversionmangle=s/rc/~rc/" \
https://github.com/crayzeewulf/libserial/tags .*/v?(\d\S+)\.tar\.gz
