=== debian/changelog ===
libserial (1.0.0+git20250423-6) unstable; urgency=medium

  * Add some test dependencies to let compiler compile

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jun 2025 20:52:41 +0200

libserial (1.0.0+git20250423-5) unstable; urgency=medium

  * Fix cmake missing installation in autopkgtests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jun 2025 13:51:01 +0200

libserial (1.0.0+git20250423-4) unstable; urgency=medium

  * Add simple autopkgtest to test installed package.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jun 2025 09:31:03 +0200

libserial (1.0.0+git20250423-3) unstable; urgency=medium

  * Unbreak ABI change, by reverting upstream 283a0febd517b78a042a2f44c7b3d5761f82544c
    (Closes: #1107643)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Jun 2025 11:28:47 +0200

libserial (1.0.0+git20250423-2) unstable; urgency=medium

  * Fix builds on arch all and any by fixing dependencies and rules file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Apr 2025 16:30:04 +0200

libserial (1.0.0+git20250423-1) unstable; urgency=medium

  * New upstream version 1.0.0+git20250423 (Closes: #1041898)
  * Switch to cmake and simplify rules file
    (Closes: #1049826, Closes: #1047546).
  * Add new patch proposed upstream to fix pkgconfig
    file installation
  * Add new patch propoosed upstream to fix build with
    system googletest framework
  * Drop patches, all merged upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Apr 2025 09:19:26 +0200

libserial (1.0.0-10) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Bump std-version to 4.7.2

  [ Tobias Graemer ]
  * Fix occasional exception when writing to the serial port (Closes:
    #1103883)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Apr 2025 15:51:44 +0200
