=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: devel
 Priority: optional
 Homepage: https://github.com/crayzeewulf/libserial
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
+Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
 Uploaders: David Morris <dave@code-fish.co.uk>
 Build-Depends: debhelper-compat (= 13),
+               cmake,
+               doxygen,
+               graphviz,
                libgtest-dev <!nocheck>,
                libboost-test-dev <!nocheck>,
+               python3-dev,
 Build-Depends-Indep: python3-sphinx,
-                     python3-sphinx-rtd-theme,
-Standards-Version: 4.6.2
+                     python3-sphinx-rtd-theme
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libserial
 Vcs-Git: https://salsa.debian.org/debian/libserial.git
