=== debian/changelog ===
libserial (1.0.0+git20250424-1) unstable; urgency=medium

  * New upstream snapshot (fixing doxygen warnings)
  * Refresh patches for new release
  * Add patch proposed upstream to fix build failure with new cmake and googletest
    (Closes: #1113198)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Sep 2025 14:10:26 +0200
